/*
	CsoundCmd.h  - set <path>/csound (if 'csound' is installed)

	Will Eighteen, 2000: will@opaline.demon.co.uk
*/

#ifndef CSOUNDCMD_H
#define CSOUNDCMD_H

#include "NoUndoCmd.h"

typedef void ( *enterCallback ) ( void *, char * );
typedef void ( *cancelCallback ) ( void * );


class LineEdit;


class CsoundCmd : public NoUndoCmd
{
	protected:
		virtual void doCommand();
		
	public:
		CsoundCmd ( const char *, int active = TRUE );
		virtual const char *const className() { return ( "CsoundCmd" ); }
		
	private:
		// note 'ok' is mapped to 'enter' by LineEdit
		static void enterCallback ( void *, char * );
		static void cancelCallback ( void * );
		void enter( char * );
		LineEdit *_edit;
		Boolean _popupRealised;
};

#endif

/*
  Notes:
  
  UndoCommand is not implemented here.
  
  The 'cancel' command is defaulted in LineEdit.
  
  'doCommand()' should provide a resource to be displayed.
  'enter' should set a resource from text retrieved from the text widget.
*/
