/*
	EditWaveCmd.h - wave cut, copy, paste

	Will 18, 2001.

	Warning - uses system move command 'mv' to move files.
*/

#ifndef EDITWAVECMD_H
#define EDITWAVECMD_H


#ifndef BREAK
#define BREAK
#include <BreakCmd.h>
#endif

#include <NoUndoCmd.h>
#include "ChangeWaveFileCmd.h"


class DMenuCmd;


class EditWaveCmd : public NoUndoCmd
{
	public:
		EditWaveCmd ( const char *, int active = TRUE, int opType = 0 );
		virtual const char *const className() { return ( "EditWaveCmd" ); }

	protected:
		virtual void doCommand();	// EditWave

	private:
		static void srcMenuSelectionCallback ( void *, unsigned int, char * );
		static void dstMenuSelectionCallback ( void *, unsigned int, char * );
		static void changeWaveFileCmdFinishedCallback ( BreakCmd *, Boolean, void * );

		// 'overwrite' infoDialogManager callbacks
		static void overwriteOkCallback ( void * );
		static void overwriteCancelCallback ( void * );

		void changeWaveFileCmdFinished ( ChangeWaveFileCmd * );
		void selectTarget ( unsigned int );
		void edit ( unsigned int );
		void overwrite ( unsigned int, unsigned int, char * );

		unsigned _arrayItems;	// num items on menu
		unsigned _srcWaveNum;
		unsigned _dstWaveNum;
		int _opType;			// 0 = 'remove', 1 = 'insert'
		Boolean _popupRealised;
		DMenuCmd *_srcMenu;
		DMenuCmd *_dstMenu;
};

#endif
