/* 
    HetroToAsciiCmd.h - convert ascii to Csound heterodyne analysis file format

    Will Eighteen, 2006: will@opaline.demon.co.uk

    Warning: developed under Linux on Intel PC: 'intSize' may need
    changing in a different environment, as might num[].
*/

#ifndef HETROTOASCIICMD_H
#define HETROTOASCIICMD_H

#ifndef BREAK
#define BREAK
#include <BreakCmd.h>
#endif


#define BUFSIZE 1024


class FileAccess;


class HetroToAsciiCmd : public BreakCmd
{
	public:
		HetroToAsciiCmd ( char *, int, char *, char * );
		virtual ~HetroToAsciiCmd();
		char *source() { return _srcFile; };
		char *target() { return _dstFile; };
		int error() { return _error; }

	protected:
		void doCommand();
		
	private:
		char _srcFile[BUFSIZE];
		char _dstFile[BUFSIZE];
		FileAccess *_in;
		FileAccess *_out;
		unsigned int _numElements;
		int _once, _percentDone, _error;
		int _intSize, _trackNum;
		short int _num[0,1];
};

#endif
