/*
 QuestionDialogManager.cc - QuestionManagerDialog class implementation

 Douglas A. Young, 'Object-oriented Programming with C++ and OSF/Motif'
 2nd ed., Prentice-Hall.
*/

#include "QuestionDialogManager.h"
#include <Xm/Xm.h>
#include <Xm/MessageB.h>

// define global instance
QuestionDialogManager *questionDialogManager = 
	new QuestionDialogManager ( "QuestionDialog" );
	
Widget QuestionDialogManager::createDialog ( Widget parent )
{
	Widget dialog = XmCreateQuestionDialog ( parent, _name, NULL, 0 );
	
	XtVaSetValues ( dialog, XmNdialogStyle, XmDIALOG_FULL_APPLICATION_MODAL, NULL );
 
	return ( dialog );

}

	
/*
  Notes:
  
  The createDialog() method returns a QuestionDialog widget each time it is
  called; the dialog style is 'full application modal', i.e it does not process
  device events for widgets other than those in the dialog. This simulates
  blocking, forcing the question tobe answered. Applications can modify this
  behaviour by changing the XmNdialogStyle resource value of the widget returned
  by post()
*/
