// MenuWindowApp.h - demonstrate Cmd and MenuBar classes

#ifndef MENUWINDOWAPP_H
#define MENUWINDOWAPP_h

#include <MenuWindow.h>

class Cmd;


class MenuWindowApp : public MenuWindow
{
	public:
		MenuWindowApp ( const char * );
		
	protected:
		// support three window-specific command objects
		Cmd *_a;
		Cmd *_b;
		Cmd *_c;
		
		Widget _canvas;
		Widget createWorkArea ( Widget );
		void createMenuPanes();
};

#endif

/*
  Notes:
  
  The top-level window is impleneted as a class derived from MenuWindow.
  MenuWindowApp adds three panes to the menubar provided by the MenuWindow class.
  The first two panes represent Cmd objects created by the MenuApp class; the
  third is created by registering three Cmd objects created in the MenuWindowApp
  constructor. Unlike the Cmd objects created in the MenuApp class, these three
  objects are unique within each instance of the MenuWindowApp class.
*/
