// WordCount.h - example program testing BreakCmd

#ifndef WORDCOUNTWINDOW_H
#define WORDCOUNTWINDOW_H

#include <MenuWindow.h>

class BreakCmd;
class CountWordsCmd;

class WordCountWindow : public MenuWindow
{
	public:
		WordCountWindow ( const char * );
		
	protected:
		virtual void createMenuPanes();
		virtual Widget createWorkArea ( Widget );
		
	private:
		Widget _list;	// wordlist found in file
		Cursor _busyCursor;
		Cursor _normalCursor;
		
		// interface to word count command
		static void countWordsCallback ( void *, char * );
		static void taskFinishedCallback ( BreakCmd *, Boolean, void * );
		void taskFinished ( CountWordsCmd * );
		void countWords ( char * );
		void setBusyCursor();
		void setNormalCursor();
};
	
#endif
